Net::Packet::CDP(3)

NAME
Net::Packet::CDP - Cisco Discovery Protocol layer 4 object

SYNOPSIS
   use Net::Packet::Consts qw(:cdp);
   require Net::Packet::CDP;

   # Build a layer
   my $layer = Net::Packet::CDP->new(
      version  => 2,
      ttl      => 180,
      checksum => 0,
   );
   $layer->pack;

   print 'RAW: '.unpack('H*', $layer->raw)."\n";

   # Read a raw layer
   my $layer = Net::Packet::CDP->new(raw => $raw);

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the Cisco Discovery Protocol layer.

See also Net::Packet::Layer and Net::Packet::Layer4 for other attributes and methods.

ATTRIBUTES

version - 8 bits
ttl - 8 bits
checksum - 16 bits
typeDeviceId
typeAddresses
typePortId
typeCapabilities
typeSoftwareVersion
    All these type attributes keep a pointer to the respective object. That is, for typeDeviceId, you have a pointer to a Net::Packet::CDP::TypeDeviceId object, if applicable.

METHODS

new Object constructor. You can pass attributes that will overwrite default ones. Default values:

    version: 2

    ttl: 180

    checksum: 0

pack
    Packs all attributes into a raw format, in order to inject to network. Returns 1 on success, undef otherwise.

unpack
    Unpacks raw data from network and stores attributes into the object. Returns 1 on success, undef otherwise.

CONSTANTS
Load them: use Net::Packet::Consts qw(:cdp);

NP_CDP_HDR_LEN
    CDP header length.

NP_CDP_TYPE_DEVICE_ID
NP_CDP_TYPE_ADDRESSES
NP_CDP_TYPE_PORT_ID
NP_CDP_TYPE_CAPABILITIES
NP_CDP_TYPE_SOFTWARE_VERSION
NP_CDP_TYPE_PLATFORM
NP_CDP_TYPE_VTP_MANAGEMENT_DOMAIN
NP_CDP_TYPE_DUPLEX
NP_CDP_TYPE_VOIP_VLAN_REPLY
NP_CDP_TYPE_TRUST_BITMAP
NP_CDP_TYPE_UNTRUSTED_PORT_COS
NP_CDP_TYPE_SYSTEM_NAME
NP_CDP_TYPE_SYSTEM_OBJECT_ID
NP_CDP_TYPE_LOCATION
    Various supported CDP types.

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock